Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v1
Class NameValuePersonalizationObject

    java.lang.Object
      |
      +--oracle.portal.provider.v1.NameValuePersonalizationObject

public class NameValuePersonalizationObject
extends java.lang.Object
implements PersonalizationObject

Base customization data class. Manages customization data all portlets should support. By default, this is the portlet's title and short title.

Generally, portlets should support customization even if they only allow a user to customize the titlebar. Portlets providing further customization (data) should use a subclassed version of this class as a data class and override the init() method so that further data items can be defaulted.

Constructor Summary
`NameValuePersonalizationObject()` Null Constructor.

Method Summary
`java.lang.Boolean` | `getBoolean(java.lang.String name)` Retrieves the Boolean value stored against the given name from the content of the NameValuePersonalizationObject.
`java.lang.Boolean[]` | `getBooleanArray(java.lang.String name)` Retrieves the Boolean Array value stored against the given name from the content of the NameValuePersonalizationObject.
`java.lang.String` | `getContentVersion()` Gets the version String associated with the content of the PersonalizationObject
`java.lang.Double` | `getDouble(java.lang.String name)` Retrieves the Double value stored against the given name from the content of the NameValuePersonalizationObject.
`java.lang.Double[]` | `getDoubleArray(java.lang.String name)` Retrieves the Double Array value stored against the given name from the content of the NameValuePersonalizationObject.
`java.lang.Float` | `getFloat(java.lang.String name)` Retrieves the Float value stored against the given name from the content of the NameValuePersonalizationObject.
`java.lang.Float[]` | `getFloatArray(java.lang.String name)` Retrieves the Float Array value stored against the given name from the content of the NameValuePersonalizationObject.
`java.lang.Integer` | `getInteger(java.lang.String name)` Retrieves the Integer value stored against the given name from the content of the NameValuePersonalizationObject.
`java.lang.Integer[]` | `getIntegerArray(java.lang.String name)` Retrieves the Integer Array value stored against the given name from the content of the NameValuePersonalizationObject.
`java.lang.Long` | `getLong(java.lang.String name)` Retrieves the Long value stored against the given name from the content of the NameValuePersonalizationObject.
`java.lang.Long[]` | `getLongArray(java.lang.String name)` Retrieves the Long Array value stored against the given name from the content of the NameValuePersonalizationObject.
`java.util.Enumeration` | `getNames()` Retrieves an Enumeration object containing all names in the content of the NameValuePreferenceDataObject
`java.lang.String` | `getPortletShortTitle()` Gets the string to be displayed for the Portlet's title when there is limited space.
`java.lang.String` | `getPortletTitle()` Gets the string to be displayed on the Portlet's title bar.
`java.lang.String` | `getReferencePath()` Gets the the identifying path string used to store and retrieve the contents of this NameValuePersonalizationObject from the storage medium.
`java.lang.String` | `getString(java.lang.String name)` Retrieves the String value stored against the given name from the content of the NameValuePersonalizationObject.
`java.lang.String[]` | `getStringArray(java.lang.String name)` Retrieves the String Array value stored against the given name from the content of the NameValuePersonalizationObject.
`void` | `init(PortletReference pr)` Init method used to initialize the data object after instantiation via its null constructor.
`void` | `putBoolean(java.lang.String name, java.lang.Boolean value)` Records the given Boolean value against the given name in the NameValuePersonalizationObject content.
`void` | `putBooleanArray(java.lang.String name, java.lang.Boolean[] value)` Records the given Boolean Array value against the given name in the NameValuePersonalizationObject content.
`void` | `putDouble(java.lang.String name, java.lang.Double value)` Records the given Double value against the given name in the NameValuePersonalizationObject content.
`void` | `putDoubleArray(java.lang.String name, java.lang.Double[] value)` Records the given Double Array value against the given name in the NameValuePersonalizationObject content.
`void` | `putFloat(java.lang.String name, java.lang.Float value)` Records the given Float value against the given name in the NameValuePersonalizationObject content.
`void` | `putFloatArray(java.lang.String name, java.lang.Float[] value)` Records the given Float Array value against the given name in the NameValuePersonalizationObject content.
`void` | `putInteger(java.lang.String name, java.lang.Integer value)` Records the given Integer value against the given name in the NameValuePersonalizationObject content.
`void` | `putIntegerArray(java.lang.String name, java.lang.Integer[] value)` Records the given Integer Array value against the given name in the NameValuePersonalizationObject content.
`void` | `putLong(java.lang.String name, java.lang.Long value)` Records the given Long value against the given name in the NameValuePersonalizationObject content.
`void` | `putLongArray(java.lang.String name, java.lang.Long[] value)` Records the given Long Array value against the given name in the NameValuePersonalizationObject content.
`void` | `putString(java.lang.String name, java.lang.String value)` Records the given String value against the given name in the NameValuePersonalizationObject content.
`void` | `putStringArray(java.lang.String name, java.lang.String[] value)` Records the given String Array value against the given name in the NameValuePersonalizationObject content.
`void` | `read(java.io.InputStream is)` Populates the PersonalizationObject with content read from a given InputStream
`void` | `remove(java.lang.String name)` Removes the value stored against the given name from the content of the NameValuePersonalizationObject.
`void` | `setContentVersion(java.lang.String version)` Sets the version associated with the content of the PersonalizationObject.
`void` | `setPortletShortTitle(java.lang.String title)` Sets the string to be displayed for the Portlet's title when there is limited space.
`void` | `setPortletTitle(java.lang.String title)` Sets the string to be displayed on the Portlet's title bar.
`void` | `setReferencePath(java.lang.String path)` Optionally records the identifying path string used to store and retrieve the contents of this NameValuePersonalizationObject from the storage medium.
`java.lang.String` | `toString()` Convert the contents of this object to a String representation
`void` | `write(java.io.OutputStream os)` Writes the content of the PersonalizationObject to a given OutputStream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NameValuePersonalizationObject

    public NameValuePersonalizationObject()

  Null Constructor.

Method Detail

### init

    public void init(PortletReference pr)

  Init method used to initialize the data object after instantiation via its null constructor. Defined by the PersonalizationObject interface. Personalization manager is expected to call the init method of data objects that implement the PersonalizationObject interface.

  Behavior is to initialize the title using the (static) title from the portlet metadata (`portlet.getTitle()`). The portlet's default Locale is used to retrieve the title.

  Specified by:
    init in interface PersonalizationObject
  Parameters:
    `pr` - the portlet reference that identifies the customization instance this object represents.

### setContentVersion

    public void setContentVersion(java.lang.String version)

  Sets the version associated with the content of the PersonalizationObject. The version number is a String to allow you to define the structure of your version numbers.
  Specified by:
    setContentVersion in interface PersonalizationObject
  Parameters:
    `version` - version string to be associated with the content of the PersonalizationObject

### getContentVersion

    public java.lang.String getContentVersion()

  Description copied from interface: PersonalizationObject
  Gets the version String associated with the content of the PersonalizationObject
  Specified by:
    getContentVersion in interface PersonalizationObject
  Returns:
    the version String associated with the content of the PersonalizationObject

### setPortletTitle

    public void setPortletTitle(java.lang.String title)

  Sets the string to be displayed on the Portlet's title bar.
  Parameters:
    `title` - string to be displayed on the Portlet's title bar.

### getPortletTitle

    public java.lang.String getPortletTitle()

  Gets the string to be displayed on the Portlet's title bar.
  Returns:
    title string to be displayed on the Portlet's title bar.

### setPortletShortTitle

    public void setPortletShortTitle(java.lang.String title)

  Sets the string to be displayed for the Portlet's title when there is limited space. For example the menu item in mobile page.
  Parameters:
    `title` - string to be displayed for the Portlet's title when there is limited space.

### getPortletShortTitle

    public java.lang.String getPortletShortTitle()

  Gets the string to be displayed for the Portlet's title when there is limited space. For example the menu item in mobile page.
  Returns:
    title string to be displayed for the Portlet's title when there is limited space.

### setReferencePath

    public void setReferencePath(java.lang.String path)

  Optionally records the identifying path string used to store and retrieve the contents of this NameValuePersonalizationObject from the storage medium.
  Specified by:
    setReferencePath in interface PersonalizationObject
  Parameters:
    `path` - identifying path against which the NameValuePersonalizationObject data is stored

### getReferencePath

    public java.lang.String getReferencePath()

  Gets the the identifying path string used to store and retrieve the contents of this NameValuePersonalizationObject from the storage medium.
  Specified by:
    getReferencePath in interface PersonalizationObject
  Returns:
    identifying path string

### getNames

    public java.util.Enumeration getNames()

  Retrieves an Enumeration object containing all names in the content of the NameValuePreferenceDataObject
  Returns:
    Iterator object containing all names

### putInteger

    public void putInteger(java.lang.String name,
                           java.lang.Integer value)

  Records the given Integer value against the given name in the NameValuePersonalizationObject content. If the name already exists, then the value for that name will be overwritten with the new value given
  Parameters:
    `name` - String name against which the value is to be stored
    `value` - Integer value

### putDouble

    public void putDouble(java.lang.String name,
                          java.lang.Double value)

  Records the given Double value against the given name in the NameValuePersonalizationObject content. If the name already exists, then the value for that name will be overwritten with the new value given
  Parameters:
    `name` - String name against which the value is to be stored
    `value` - Double value

### putFloat

    public void putFloat(java.lang.String name,
                         java.lang.Float value)

  Records the given Float value against the given name in the NameValuePersonalizationObject content. If the name already exists, then the value for that name will be overwritten with the new value given
  Parameters:
    `name` - String name against which the value is to be stored
    `value` - Float value

### putLong

    public void putLong(java.lang.String name,
                        java.lang.Long value)

  Records the given Long value against the given name in the NameValuePersonalizationObject content. If the name already exists, then the value for that name will be overwritten with the new value given
  Parameters:
    `name` - String name against which the value is to be stored
    `value` - Long value

### putBoolean

    public void putBoolean(java.lang.String name,
                           java.lang.Boolean value)

  Records the given Boolean value against the given name in the NameValuePersonalizationObject content. If the name already exists, then the value for that name will be overwritten with the new value given
  Parameters:
    `name` - String name against which the value is to be stored
    `value` - Boolean value

### putString

    public void putString(java.lang.String name,
                          java.lang.String value)

  Records the given String value against the given name in the NameValuePersonalizationObject content. If the name already exists, then the value for that name will be overwritten with the new value given
  Parameters:
    `name` - String name against which the value is to be stored
    `value` - String value

### putIntegerArray

    public void putIntegerArray(java.lang.String name,
                                java.lang.Integer[] value)

  Records the given Integer Array value against the given name in the NameValuePersonalizationObject content. If the name already exists, then the value for that name will be overwritten with the new value given
  Parameters:
    `name` - String name against which the value is to be stored
    `value` - Integer array value

### putDoubleArray

    public void putDoubleArray(java.lang.String name,
                               java.lang.Double[] value)

  Records the given Double Array value against the given name in the NameValuePersonalizationObject content. If the name already exists, then the value for that name will be overwritten with the new value given
  Parameters:
    `name` - String name against which the value is to be stored
    `value` - Double array value

### putFloatArray

    public void putFloatArray(java.lang.String name,
                              java.lang.Float[] value)

  Records the given Float Array value against the given name in the NameValuePersonalizationObject content. If the name already exists, then the value for that name will be overwritten with the new value given
  Parameters:
    `name` - String name against which the value is to be stored
    `value` - Float array value

### putLongArray

    public void putLongArray(java.lang.String name,
                             java.lang.Long[] value)

  Records the given Long Array value against the given name in the NameValuePersonalizationObject content. If the name already exists, then the value for that name will be overwritten with the new value given
  Parameters:
    `name` - String name against which the value is to be stored
    `value` - Long array value

### putBooleanArray

    public void putBooleanArray(java.lang.String name,
                                java.lang.Boolean[] value)

  Records the given Boolean Array value against the given name in the NameValuePersonalizationObject content. If the name already exists, then the value for that name will be overwritten with the new value given
  Parameters:
    `name` - String name against which the value is to be stored
    `value` - Boolean array value

### putStringArray

    public void putStringArray(java.lang.String name,
                               java.lang.String[] value)

  Records the given String Array value against the given name in the NameValuePersonalizationObject content. If the name already exists, then the value for that name will be overwritten with the new value given
  Parameters:
    `name` - String name against which the value is to be stored
    `value` - String array value

### getInteger

    public java.lang.Integer getInteger(java.lang.String name)

  Retrieves the Integer value stored against the given name from the content of the NameValuePersonalizationObject.
  Parameters:
    `name` - String name against which the value is stored
  Returns:
    Integer value stored against the given name if one exists, or null otherwise
  Throws:
    ClassCastException - if the value stored against the given name is not an Integer.

### getDouble

    public java.lang.Double getDouble(java.lang.String name)

  Retrieves the Double value stored against the given name from the content of the NameValuePersonalizationObject.
  Parameters:
    `name` - String name against which the value is stored
  Returns:
    Double value stored against the given name if one exists, or null otherwise
  Throws:
    ClassCastException - if the value stored against the given name is not a Double.

### getFloat

    public java.lang.Float getFloat(java.lang.String name)

  Retrieves the Float value stored against the given name from the content of the NameValuePersonalizationObject.
  Parameters:
    `name` - String name against which the value is stored
  Returns:
    Float value stored against the given name if one exists, or null otherwise
  Throws:
    ClassCastException - if the value stored against the given name is not a Float.

### getLong

    public java.lang.Long getLong(java.lang.String name)

  Retrieves the Long value stored against the given name from the content of the NameValuePersonalizationObject.
  Parameters:
    `name` - String name against which the value is stored
  Returns:
    Long value stored against the given name if one exists, or null otherwise
  Throws:
    ClassCastException - if the value stored against the given name is not a Long.

### getBoolean

    public java.lang.Boolean getBoolean(java.lang.String name)

  Retrieves the Boolean value stored against the given name from the content of the NameValuePersonalizationObject.
  Parameters:
    `name` - String name against which the value is stored
  Returns:
    Boolean value stored against the given name if one exists, or null otherwise
  Throws:
    ClassCastException - if the value stored against the given name is not a Boolean.

### getString

    public java.lang.String getString(java.lang.String name)

  Retrieves the String value stored against the given name from the content of the NameValuePersonalizationObject.
  Parameters:
    `name` - String name against which the value is stored
  Returns:
    String value stored against the given name if one exists, or null otherwise
  Throws:
    ClassCastException - if the value stored against the given name is not a String.

### getIntegerArray

    public java.lang.Integer[] getIntegerArray(java.lang.String name)

  Retrieves the Integer Array value stored against the given name from the content of the NameValuePersonalizationObject.
  Parameters:
    `name` - String name against which the value is stored
  Returns:
    Integer Array value stored against the given name if one exists, or null otherwise
  Throws:
    ClassCastException - if the value stored against the given name is not an Integer array.

### getDoubleArray

    public java.lang.Double[] getDoubleArray(java.lang.String name)

  Retrieves the Double Array value stored against the given name from the content of the NameValuePersonalizationObject.
  Parameters:
    `name` - String name against which the value is stored
  Returns:
    Double Array value stored against the given name if one exists, or null otherwise
  Throws:
    ClassCastException - if the value stored against the given name is not a Double array.

### getFloatArray

    public java.lang.Float[] getFloatArray(java.lang.String name)

  Retrieves the Float Array value stored against the given name from the content of the NameValuePersonalizationObject.
  Parameters:
    `name` - String name against which the value is stored
  Returns:
    Float Array value stored against the given name if one exists, or null otherwise
  Throws:
    ClassCastException - if the value stored against the given name is not a Float array.

### getLongArray

    public java.lang.Long[] getLongArray(java.lang.String name)

  Retrieves the Long Array value stored against the given name from the content of the NameValuePersonalizationObject.
  Parameters:
    `name` - String name against which the value is stored
  Returns:
    Long Array value stored against the given name if one exists, or null otherwise
  Throws:
    ClassCastException - if the value stored against the given name is not a Long array.

### getBooleanArray

    public java.lang.Boolean[] getBooleanArray(java.lang.String name)

  Retrieves the Boolean Array value stored against the given name from the content of the NameValuePersonalizationObject.
  Parameters:
    `name` - String name against which the value is stored
  Returns:
    Boolean Array value stored against the given name if one exists, or null otherwise
  Throws:
    ClassCastException - if the value stored against the given name is not a Boolean array.

### getStringArray

    public java.lang.String[] getStringArray(java.lang.String name)

  Retrieves the String Array value stored against the given name from the content of the NameValuePersonalizationObject.
  Parameters:
    `name` - String name against which the value is stored
  Returns:
    String Array value stored against the given name if one exists, or null otherwise
  Throws:
    ClassCastException - if the value stored against the given name is not a String array.

### toString

    public java.lang.String toString()

  Convert the contents of this object to a String representation
  Overrides:
    toString in class java.lang.Object
  Returns:
    String representation of this object

### remove

    public void remove(java.lang.String name)

  Removes the value stored against the given name from the content of the NameValuePersonalizationObject.
  Parameters:
    `name` - String name against which the value is stored

### write

    public void write(java.io.OutputStream os)
               throws java.io.IOException

  Writes the content of the PersonalizationObject to a given OutputStream
  Specified by:
    write in interface PersonalizationObject
  Parameters:
    `os` - OutputStream to which content should be written

### read

    public void read(java.io.InputStream is)
              throws java.io.IOException

  Populates the PersonalizationObject with content read from a given InputStream
  Specified by:
    read in interface PersonalizationObject
  Parameters:
    `is` - InputStream from which content should be read

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD